Page MenuHomePhabricator

Request creation of wikidata-autodesc VPS project
Closed, ResolvedPublic

Description

Project Name: wikidata-autodesc

Wikitech Usernames of requestors: Kingsaint1989

Purpose: This project is intended to automatically generate missing descriptions for Wikidata items using existing statements of the items

Brief description: In our paper titled "Be Concise and Precise: Synthesizing Open-domain Entity Descriptions from Facts" published in the Proceedings of the Web Conference 2019 ( ArXiv link: https://arxiv.org/pdf/1904.07391.pdf ), we have developed a tool that can potentially be used for automatic generation of missing textual descriptions for millions of items in Wikidata. Our deep neural network model is developed in PyTorch, an open source deep learning framework. We would like to host this tool in the Cloud-VPS. We also plan to have a user interface where users can validate whether the generated descriptions are acceptable or not. For that, we need a web service and a web framework in place. Any Python-based web framework will be good.

How soon you are hoping this can be fulfilled: Within a quarter, but we may need to keep the tool online if it turns out to be effective for the long run.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2019, 11:43 PM
Zoranzoki21 removed Kingsaint1989 as the assignee of this task.May 17 2019, 3:54 AM
Zoranzoki21 added a subscriber: Zoranzoki21.

Removed assignee because user can't manage VPS instances.

Too, @Kingsaint1989 are you sure to Toolforge isn't enough for your needs?

Hi @Zoranzoki21 , does Toolforforge support PyTorch? If so then probably I can use that.

bd808 added a subscriber: bd808.May 21 2019, 11:44 PM

Notes from the 2019-05-21 WMCS team meeting:

  • The project name is really long. It would be nice to find something shorter but still descriptive. Project names are used in the fully qualified hostnames for instances and it is nice to keep them to 32 characters or less.
  • Hosting on Toolforge is technically possible, but @bd808 is a bit worried that there may be performance issues if the project needs to load large models from disk to operate because all storage for this in Toolforge would be via the shared NFS server. For this reason we think it is reasonable to start this as a Cloud VPS project.

@Kingsaint1989 would the project name "wikidata-autodesc" be ok with you? Are you also fully aware that having a Cloud VPS project mans that you and the co-admins you add will need to do all of the work to create and maintain the virtual machine instances yourselves?

Kingsaint1989 renamed this task from Request creation of Automatic-Description-Generation-for-Wikidata-Items VPS project to Request creation of wikidata-autodesc VPS project.May 22 2019, 5:19 AM
Kingsaint1989 updated the task description. (Show Details)

Hi @bd808 ,
Thank you for the notes from the WMCS team meeting.
I have changed the project name as suggested.
Yes, I am aware of the fact that the VMs in the cloud VPS need to be maintained by us.

Mentioned in SAL (#wikimedia-cloud) [2019-05-22T11:02:20Z] <arturo> T223494 create project and add rabhowmi as projectadmin

aborrero closed this task as Resolved.May 22 2019, 11:15 AM

I created the project, but I'm not sure what your LDAP username is. The closest I could find is rabhowmi, so I used that. Please communicate intermediately with us if that's not your username. Anyway, please link your phabricator and wikitech accounts.

Hi @aborrero,
My LDAP username is also Kingsaint1989.
I have linked my phabricator and wikitech accounts.

Mentioned in SAL (#wikimedia-cloud) [2019-05-22T15:21:57Z] <arturo> T223494 drop rabhowmi as projectadmin/user and add rbhowmik as projectadmin/user instead

You should be all set now. Thanks!